<div class="px-4 py-8 lg:px-14 lg:py-12 bg-white w-full rounded-lg">
    <div class="w-full flex flex-col mb-3 lg:mb-5">
        <h2 class="font-bold text-xl lg:text-2xl text-main-black mb-3 lg:mb-5">{{ __('listener.groups.title') }}</h2>
        <div class="w-full">
            <div class="flex border-b border-user-border">
                <a href="{{ route('user.groups.active') }}" class="border-b -mb-px px-2.5 py-3 {{ request()->routeIs('user.groups.active') ? 'text-main-black border-primary-button' : 'text-user-gray border-user-body' }}">{{ __('listener.groups.title.active') }}</a>
                <a href="{{ route('user.groups.archive') }}" class="border-b -mb-px px-2.5 py-3 {{ request()->routeIs('user.groups.archive') ? 'text-main-black border-primary-button' : 'text-user-gray border-user-body' }}">{{ __('listener.groups.title.archive') }}</a>
            </div>
        </div>
    </div>
    <div class="w-full flex flex-col space-y-3">
        @if($groups->isEmpty())
            <div class="w-full rounded-lg p-10 flex flex-col items-center justify-center space-y-8">
                <svg class="max-w-xs h-auto" viewBox="0 0 321 206" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <g clip-path="url(#clip0_31_6397)">
                        <path d="M317.033 86.6892C309.575 52.8192 283.62 26.0875 248.274 17.1358C238.98 14.7798 229.096 13.593 219.264 14.6034C179.069 18.7417 131.12 45.7822 106.241 51.4515C81.362 57.1208 52.1894 34.4436 19.1071 69.2711C-13.984 104.094 -6.34109 184.682 59.8146 200.472C125.97 216.266 162.79 177.389 192.175 185.895C221.559 194.401 274.168 190.753 305.233 165.649C323.652 150.763 323.506 116.081 317.033 86.6892Z" fill="#F8F8F8"/>
                        <path opacity="0.2" d="M175.508 94.538H161.881V100.053H175.508V94.538Z" fill="black"/>
                        <path opacity="0.2" d="M170.318 74.9139H156.692V80.4287H170.318V74.9139Z" fill="black"/>
                        <path opacity="0.2" d="M121.01 94.3748H107.384V99.8896H121.01V94.3748Z" fill="black"/>
                        <path opacity="0.2" d="M140.802 56.0089H127.175V61.5238H140.802V56.0089Z" fill="black"/>
                        <path opacity="0.2" d="M155.721 56.0089H142.094V61.5238H155.721V56.0089Z" fill="black"/>
                        <path opacity="0.2" d="M97.6539 135.145H84.0273V140.66H97.6539V135.145Z" fill="black"/>
                        <path opacity="0.2" d="M90.5184 141.957H76.8918V147.472H90.5184V141.957Z" fill="black"/>
                        <path opacity="0.1" d="M162.856 82.5376H149.23V88.0525H162.856V82.5376Z" fill="black"/>
                        <path opacity="0.1" d="M183.296 113.509H169.67V119.024H183.296V113.509Z" fill="black"/>
                        <path opacity="0.1" d="M103.496 121.945H89.8696V127.46H103.496V121.945Z" fill="black"/>
                        <path opacity="0.1" d="M119.064 121.945H105.438V127.46H119.064V121.945Z" fill="black"/>
                        <path opacity="0.1" d="M120.362 114.158H106.735V119.673H120.362V114.158Z" fill="black"/>
                        <path opacity="0.1" d="M178.429 82.5376H164.802V88.0525H178.429V82.5376Z" fill="black"/>
                        <path opacity="0.2" d="M171.58 38.6305H157.954V44.1454H171.58V38.6305Z" fill="black"/>
                        <path opacity="0.2" d="M166.391 19.0064H152.764V24.5213H166.391V19.0064Z" fill="black"/>
                        <path opacity="0.1" d="M158.929 26.6302H145.302V32.145H158.929V26.6302Z" fill="black"/>
                        <path opacity="0.1" d="M174.497 26.6302H160.871V32.145H174.497V26.6302Z" fill="black"/>
                        <path opacity="0.2" d="M137.88 141.401H124.254V146.916H137.88V141.401Z" fill="black"/>
                        <path opacity="0.1" d="M130.418 149.025H116.792V154.54H130.418V149.025Z" fill="black"/>
                        <path opacity="0.1" d="M145.991 149.025H132.364V154.54H145.991V149.025Z" fill="black"/>
                        <path opacity="0.2" d="M71.8305 72.7785H58.204V78.2934H71.8305V72.7785Z" fill="black"/>
                        <path opacity="0.1" d="M64.373 80.3979H50.7465V85.9127H64.373V80.3979Z" fill="black"/>
                        <path opacity="0.1" d="M79.9411 80.3979H66.3146V85.9127H79.9411V80.3979Z" fill="black"/>
                        <path opacity="0.2" d="M66.5131 113.836H52.8866V119.35H66.5131V113.836Z" fill="black"/>
                        <path opacity="0.1" d="M126.853 87.4701H113.226V92.985H126.853V87.4701Z" fill="black"/>
                        <path opacity="0.1" d="M106.413 141.635H92.7866V147.15H106.413V141.635Z" fill="black"/>
                        <path opacity="0.1" d="M148.586 49.197H134.959V54.7119H148.586V49.197Z" fill="black"/>
                        <path opacity="0.2" d="M58.7291 95.5792H45.1025V101.094H58.7291V95.5792Z" fill="black"/>
                        <path opacity="0.1" d="M66.5131 88.7672H52.8866V94.2821H66.5131V88.7672Z" fill="black"/>
                        <path opacity="0.1" d="M101.224 55.6163H87.5972V61.1311H101.224V55.6163Z" fill="black"/>
                        <path opacity="0.2" d="M148.586 94.538H134.959V100.053H148.586V94.538Z" fill="black"/>
                        <path opacity="0.2" d="M208.387 100.048H222.013V94.5336H208.387V100.048Z" fill="black"/>
                        <path opacity="0.2" d="M213.576 80.4288H227.203V74.9139H213.576V80.4288Z" fill="black"/>
                        <path opacity="0.2" d="M262.884 99.8896H276.511V94.3748H262.884V99.8896Z" fill="black"/>
                        <path opacity="0.2" d="M243.098 61.5238H256.724V56.0089H243.098V61.5238Z" fill="black"/>
                        <path opacity="0.2" d="M228.174 61.5238H241.8V56.0089H228.174V61.5238Z" fill="black"/>
                        <path opacity="0.1" d="M221.038 88.0481H234.665V82.5332H221.038V88.0481Z" fill="black"/>
                        <path opacity="0.1" d="M200.603 119.024H214.229V113.509H200.603V119.024Z" fill="black"/>
                        <path opacity="0.1" d="M280.403 127.455H294.029V121.94H280.403V127.455Z" fill="black"/>
                        <path opacity="0.1" d="M264.83 127.455H278.457V121.94H264.83V127.455Z" fill="black"/>
                        <path opacity="0.1" d="M263.533 119.673H277.159V114.158H263.533V119.673Z" fill="black"/>
                        <path opacity="0.1" d="M205.466 88.0481H219.092V82.5332H205.466V88.0481Z" fill="black"/>
                        <path opacity="0.2" d="M99.2114 168.852H112.838V163.337H99.2114V168.852Z" fill="black"/>
                        <path opacity="0.1" d="M106.674 176.476H120.3V170.961H106.674V176.476Z" fill="black"/>
                        <path opacity="0.1" d="M91.1052 176.476H104.732V170.961H91.1052V176.476Z" fill="black"/>
                        <path opacity="0.2" d="M33.2631 168.852H46.8896V163.337H33.2631V168.852Z" fill="black"/>
                        <path opacity="0.1" d="M40.725 176.476H54.3516V170.961H40.725V176.476Z" fill="black"/>
                        <path opacity="0.1" d="M25.1525 176.476H38.7791V170.961H25.1525V176.476Z" fill="black"/>
                        <path opacity="0.2" d="M246.014 146.916H259.641V141.401H246.014V146.916Z" fill="black"/>
                        <path opacity="0.1" d="M253.476 154.535H267.103V149.02H253.476V154.535Z" fill="black"/>
                        <path opacity="0.1" d="M237.908 154.535H251.535V149.02H237.908V154.535Z" fill="black"/>
                        <path opacity="0.1" d="M257.046 92.985H270.673V87.4702H257.046V92.985Z" fill="black"/>
                        <path opacity="0.1" d="M277.482 147.145H291.108V141.631H277.482V147.145Z" fill="black"/>
                        <path opacity="0.1" d="M211.021 154.897H224.648V149.382H211.021V154.897Z" fill="black"/>
                        <path opacity="0.1" d="M195.449 154.897H209.075V149.382H195.449V154.897Z" fill="black"/>
                        <path opacity="0.2" d="M176.637 174.358H190.264V168.843H176.637V174.358Z" fill="black"/>
                        <path opacity="0.1" d="M293.032 181.977H306.659V176.462H293.032V181.977Z" fill="black"/>
                        <path opacity="0.1" d="M293.032 167.881H306.659V162.366H293.032V167.881Z" fill="black"/>
                        <path opacity="0.1" d="M300.013 174.742H313.639V169.227H300.013V174.742Z" fill="black"/>
                        <path opacity="0.1" d="M284.383 174.742H298.01V169.227H284.383V174.742Z" fill="black"/>
                        <path opacity="0.1" d="M208.1 174.587H221.727V169.072H208.1V174.587Z" fill="black"/>
                        <path opacity="0.2" d="M239.581 187.36H225.954V192.875H239.581V187.36Z" fill="black"/>
                        <path opacity="0.1" d="M232.123 194.984H218.497V200.498H232.123V194.984Z" fill="black"/>
                        <path opacity="0.1" d="M247.691 194.984H234.065V200.498H247.691V194.984Z" fill="black"/>
                        <path opacity="0.2" d="M284.948 182.498H271.321V188.013H284.948V182.498Z" fill="black"/>
                        <path opacity="0.1" d="M277.486 194.984H263.859V200.498H277.486V194.984Z" fill="black"/>
                        <path opacity="0.1" d="M293.054 194.984H279.427V200.498H293.054V194.984Z" fill="black"/>
                        <path opacity="0.1" d="M40.7162 200.49H27.0897V206.004H40.7162V200.49Z" fill="black"/>
                        <path opacity="0.1" d="M85.4085 193.245H71.782V198.76H85.4085V193.245Z" fill="black"/>
                        <path opacity="0.1" d="M60.2514 186.385H46.6249V191.9H60.2514V186.385Z" fill="black"/>
                        <path opacity="0.1" d="M53.2704 193.245H39.6439V198.76H53.2704V193.245Z" fill="black"/>
                        <path opacity="0.1" d="M68.8959 193.245H55.2694V198.76H68.8959V193.245Z" fill="black"/>
                        <path opacity="0.1" d="M235.309 54.7162H248.936V49.2014H235.309V54.7162Z" fill="black"/>
                        <path opacity="0.1" d="M228.068 31.4612H241.694V25.9463H228.068V31.4612Z" fill="black"/>
                        <path opacity="0.1" d="M282.671 61.1312H296.297V55.6163H282.671V61.1312Z" fill="black"/>
                        <path opacity="0.2" d="M235.309 100.048H248.936V94.5336H235.309V100.048Z" fill="black"/>
                        <path opacity="0.2" d="M96.7139 18.1814H83.0874V23.6963H96.7139V18.1814Z" fill="black"/>
                        <path opacity="0.1" d="M41.665 57.2487H28.0385V62.7636H41.665V57.2487Z" fill="black"/>
                        <path opacity="0.1" d="M58.6584 62.0047H45.0319V67.5196H58.6584V62.0047Z" fill="black"/>
                        <path opacity="0.1" d="M25.3555 67.4402H11.729V72.955H25.3555V67.4402Z" fill="black"/>
                        <path opacity="0.1" d="M49.9698 67.6872H36.3433V73.2021H49.9698V67.6872Z" fill="black"/>
                        <path opacity="0.2" d="M88.3738 25.911H74.7473V31.4259H88.3738V25.911Z" fill="black"/>
                        <path opacity="0.2" d="M234.329 18.1814H220.703V23.6963H234.329V18.1814Z" fill="black"/>
                        <path opacity="0.2" d="M225.994 25.911H212.367V31.4259H225.994V25.911Z" fill="black"/>
                        <path d="M36.7581 90.9467H1.61511V85.2112H33.8899V2.18829H39.6264V88.079C39.6264 89.6628 38.3423 90.9467 36.7581 90.9467Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M302.868 0.220581V33.0583H39.5073V38.7937H293.65V177.415H225.862C224.277 177.415 222.993 178.699 222.993 180.283V201.398H228.73V183.151H293.65V202.55H299.387V38.7937H305.736C307.321 38.7937 308.605 37.5099 308.605 35.926V0.220581H302.868Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M308.556 17.8946H302.952V20.4976H308.556V17.8946Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M248.962 183.111V177.508H246.359V183.111H248.962Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M254.633 183.111V177.508H252.029V183.111H254.633Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M102.234 187.872H9.72571V193.607H102.234V187.872Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M102.234 179.965H9.72571V185.701H102.234V179.965Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M53.1471 180.076H49.1888V185.648H53.1471V180.076Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M61.39 180.076H57.4318V185.648H61.39V180.076Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M53.1471 187.977H49.1888V193.55H53.1471V187.977Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M61.39 187.977H57.4318V193.55H61.39V187.977Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M114.806 72.9065V65.3401H110.199C109.979 64.0739 109.652 62.843 109.22 61.6606L113.2 59.362L109.418 52.8103L105.429 55.1133C104.613 54.1427 103.712 53.2427 102.737 52.4221L105.041 48.4337L98.4878 44.6527L96.1888 48.6367C95.0062 48.2087 93.775 47.8822 92.5085 47.6616V43.0556H84.9407V47.6616C83.6743 47.8822 82.4431 48.2087 81.2605 48.6411L78.9614 44.6616L72.4085 48.4426L74.712 52.4309C73.7412 53.2471 72.841 54.1471 72.0202 55.1222L68.0311 52.8191L64.2494 59.3708L68.2341 61.6694C67.8061 62.8518 67.4795 64.0827 67.2589 65.3489H62.652V72.9153H67.2589C67.4795 74.1815 67.8061 75.4124 68.2385 76.5948L64.2582 78.8934L68.0399 85.4451L72.029 83.1421C72.8454 84.1127 73.7456 85.0127 74.7208 85.8333L72.4174 89.8217L78.9703 93.6027L81.2693 89.6187C82.4519 90.0467 83.6831 90.3732 84.9495 90.5938V95.1998H92.5174V90.5938C93.7838 90.3732 95.015 90.0467 96.1976 89.6143L98.4966 93.5938L105.05 89.8129L102.746 85.8245C103.717 85.0083 104.617 84.1083 105.438 83.1332L109.427 85.4363L113.209 78.8846L109.224 76.586C109.652 75.4036 109.979 74.1727 110.199 72.9065H114.806ZM88.7312 83.2259C80.9472 83.2259 74.6326 76.9169 74.6326 69.1299C74.6326 61.3429 80.9428 55.0339 88.7312 55.0339C96.5197 55.0339 102.83 61.3429 102.83 69.1299C102.83 76.9169 96.5197 83.2259 88.7312 83.2259Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M80.4089 142.358V134.792H75.802C75.5813 133.526 75.2548 132.295 74.8224 131.113L78.8026 128.814L75.0209 122.262L71.0318 124.565C70.2155 123.595 69.3153 122.695 68.34 121.874L70.6435 117.886L64.0906 114.105L61.7915 118.089C60.6089 117.661 59.3778 117.334 58.1113 117.114V112.508H50.5435V117.114C49.277 117.334 48.0459 117.661 46.8633 118.093L44.5642 114.114L38.0113 117.895L40.3148 121.883C39.344 122.699 38.4438 123.599 37.623 124.574L33.6339 122.271L29.8522 128.823L33.8369 131.121C33.4088 132.304 33.0823 133.535 32.8617 134.801H28.2548V142.367H32.8617C33.0823 143.634 33.4088 144.864 33.8413 146.047L29.861 148.345L33.6427 154.897L37.6318 152.594C38.4482 153.565 39.3484 154.465 40.3236 155.285L38.0201 159.274L44.5731 163.055L46.8721 159.071C48.0547 159.499 49.2859 159.825 50.5523 160.046V164.652H58.1202V160.046C59.3866 159.825 60.6178 159.499 61.8004 159.066L64.0994 163.046L70.6523 159.265L68.3489 155.276C69.3197 154.46 70.2199 153.56 71.0406 152.585L75.0298 154.888L78.8115 148.337L74.8268 146.038C75.2548 144.856 75.5813 143.625 75.802 142.358H80.4089ZM54.334 152.678C46.55 152.678 40.2353 146.369 40.2353 138.582C40.2353 130.795 46.5455 124.486 54.334 124.486C62.1225 124.486 68.4327 130.795 68.4327 138.582C68.4327 146.369 62.1225 152.678 54.334 152.678Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M272.416 141.278V136.173H269.305C269.155 135.317 268.934 134.488 268.643 133.689L271.33 132.136L268.775 127.715L266.084 129.268C265.532 128.611 264.923 128.002 264.265 127.451L265.819 124.759L261.397 122.205L259.844 124.892C259.045 124.601 258.216 124.38 257.36 124.234V121.124H252.254V124.234C251.398 124.384 250.568 124.605 249.77 124.896L248.216 122.209L243.795 124.764L245.348 127.46C244.691 128.011 244.082 128.62 243.53 129.277L240.838 127.724L238.283 132.145L240.971 133.698C240.679 134.496 240.459 135.326 240.313 136.182H237.202V141.291H240.313C240.463 142.147 240.684 142.976 240.975 143.775L238.288 145.328L240.843 149.748L243.534 148.195C244.086 148.853 244.695 149.462 245.352 150.013L243.799 152.704L248.221 155.259L249.774 152.572C250.573 152.863 251.402 153.084 252.258 153.229V156.34H257.364V153.229C258.22 153.079 259.05 152.859 259.848 152.568L261.402 155.254L265.823 152.7L264.27 150.004C264.927 149.453 265.536 148.844 266.088 148.187L268.78 149.74L271.335 145.319L268.647 143.766C268.939 142.967 269.159 142.138 269.305 141.282H272.416V141.278ZM254.813 148.244C249.558 148.244 245.295 143.982 245.295 138.727C245.295 133.473 249.558 129.211 254.813 129.211C260.069 129.211 264.332 133.473 264.332 138.727C264.332 143.982 260.069 148.244 254.813 148.244Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M247.448 68.9446V63.8401H244.338C244.187 62.9842 243.967 62.1547 243.676 61.3562L246.363 59.8032L243.808 55.3825L241.116 56.9355C240.565 56.2781 239.956 55.6692 239.298 55.1178L240.851 52.4265L236.43 49.872L234.877 52.5589C234.078 52.2677 233.248 52.0471 232.392 51.9015V48.7911H227.287V51.9015C226.431 52.0515 225.601 52.2721 224.802 52.5633L223.249 49.8764L218.827 52.4309L220.381 55.1222C219.723 55.6737 219.114 56.2825 218.563 56.9399L215.871 55.3869L213.316 59.8076L216.003 61.3606C215.712 62.1591 215.491 62.9886 215.346 63.8445H212.235V68.949H215.346C215.496 69.8049 215.717 70.6344 216.008 71.4329L213.32 72.9859L215.875 77.4066L218.567 75.8536C219.119 76.511 219.728 77.1199 220.385 77.6713L218.832 80.3626L223.253 82.9171L224.807 80.2302C225.605 80.5214 226.435 80.742 227.291 80.8876V83.998H232.397V80.8876C233.253 80.7376 234.082 80.517 234.881 80.2258L236.434 82.9127L240.856 80.3582L239.303 77.6625C239.96 77.111 240.569 76.5022 241.121 75.8448L243.812 77.3978L246.367 72.9771L243.68 71.4241C243.971 70.6256 244.192 69.7961 244.338 68.9402H247.448V68.9446ZM229.846 75.911C224.591 75.911 220.328 71.6491 220.328 66.3946C220.328 61.14 224.591 56.8781 229.846 56.8781C235.102 56.8781 239.364 61.14 239.364 66.3946C239.364 71.6491 235.102 75.911 229.846 75.911Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M158.536 171.671C149.424 171.671 141.874 169.8 135.886 166.055C129.893 162.313 125.401 157.165 122.409 150.613C119.413 144.061 117.917 136.482 117.917 127.874V59.9355C117.917 51.0765 119.351 43.3115 122.224 36.6319C125.092 29.9567 129.523 24.7463 135.515 21.005C141.508 17.2637 149.181 15.3887 158.541 15.3887C167.9 15.3887 175.358 17.2593 181.284 21.005C187.21 24.7463 191.61 29.9611 194.483 36.6319C197.351 43.3071 198.789 51.0765 198.789 59.9355V127.879C198.789 136.486 197.294 144.07 194.297 150.618C191.301 157.169 186.809 162.313 180.816 166.059C174.824 169.805 167.397 171.675 158.541 171.675L158.536 171.671ZM158.536 146.214C161.908 146.214 164.339 145.156 165.835 143.033C167.331 140.911 168.328 138.388 168.831 135.454C169.33 132.524 169.582 129.811 169.582 127.314V60.4958C169.582 57.7516 169.361 54.8795 168.928 51.8882C168.492 48.8926 167.525 46.3072 166.025 44.1189C164.529 41.9394 162.031 40.8453 158.536 40.8453C155.042 40.8453 152.513 41.9394 150.955 44.1189C149.393 46.3028 148.396 48.8926 147.959 51.8882C147.522 54.8839 147.306 57.7561 147.306 60.4958V127.314C147.306 129.811 147.553 132.524 148.056 135.454C148.555 138.388 149.614 140.916 151.238 143.033C152.857 145.156 155.293 146.214 158.536 146.214Z" fill="#646464"/>
                        <path d="M158.536 171.892C149.429 171.892 141.768 169.99 135.767 166.244C129.765 162.494 125.203 157.266 122.206 150.71C119.21 144.163 117.692 136.477 117.692 127.879V59.9355C117.692 51.0853 119.148 43.2145 122.017 36.5481C124.894 29.8597 129.395 24.5698 135.392 20.8197C141.389 17.0696 149.177 15.1725 158.536 15.1725C167.896 15.1725 175.464 17.074 181.399 20.8197C187.334 24.5698 191.804 29.8597 194.681 36.5481C197.549 43.2233 199.006 51.0941 199.006 59.9355V127.879C199.006 136.477 197.488 144.163 194.491 150.71C191.491 157.271 186.928 162.499 180.931 166.244C174.934 169.995 167.397 171.892 158.536 171.892ZM158.536 15.6093C149.261 15.6093 141.556 17.4887 135.625 21.1903C129.704 24.8919 125.26 30.1156 122.418 36.7202C119.572 43.3336 118.129 51.1426 118.129 59.9355V127.879C118.129 136.416 119.634 144.035 122.604 150.529C125.564 157.01 130.074 162.172 135.996 165.874C141.922 169.575 149.504 171.455 158.532 171.455C167.56 171.455 174.766 169.575 180.693 165.874C186.619 162.172 191.124 157.01 194.085 150.529C197.055 144.039 198.56 136.416 198.56 127.879V59.9355C198.56 51.1515 197.117 43.3424 194.271 36.7202C191.429 30.1156 187.016 24.8919 181.156 21.1903C175.292 17.4887 167.68 15.6093 158.528 15.6093H158.536ZM158.536 146.439C155.231 146.439 152.716 145.341 151.061 143.17C149.424 141.03 148.339 138.445 147.836 135.494C147.337 132.568 147.085 129.82 147.085 127.314V60.4958C147.085 57.7384 147.306 54.831 147.743 51.8529C148.18 48.8352 149.203 46.1925 150.779 43.991C152.376 41.7541 154.989 40.6247 158.541 40.6247C162.093 40.6247 164.675 41.7585 166.21 43.9954C167.719 46.1925 168.708 48.8396 169.149 51.8574C169.586 54.853 169.807 57.7605 169.807 60.5003V127.318C169.807 129.802 169.555 132.555 169.056 135.498C168.553 138.454 167.534 141.035 166.025 143.17C164.494 145.345 161.974 146.444 158.545 146.444L158.536 146.439ZM158.536 41.0659C155.134 41.0659 152.645 42.138 151.136 44.2468C149.605 46.391 148.608 48.972 148.18 51.9191C147.747 54.8751 147.527 57.7605 147.527 60.4958V127.314C147.527 129.793 147.778 132.52 148.272 135.419C148.762 138.3 149.817 140.819 151.414 142.901C152.981 144.957 155.381 145.998 158.541 145.998C161.7 145.998 164.216 144.957 165.663 142.91C167.132 140.828 168.13 138.308 168.62 135.419C169.114 132.502 169.365 129.776 169.365 127.314V60.4958C169.365 57.7825 169.145 54.8927 168.712 51.9191C168.28 48.972 167.318 46.3866 165.848 44.2468C164.401 42.138 161.943 41.0659 158.541 41.0659H158.536Z" fill="#263238"/>
                        <path d="M117.93 93.3335L119.568 116.942L109.33 112.163L106.735 122.536C106.735 122.536 128.711 134.819 130.895 134.408C133.079 133.998 127.621 86.2392 127.621 86.2392L117.93 93.3335Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M132.682 150.282C132.682 150.282 144.469 146.232 149.075 142.363C153.678 138.494 129.553 91.7232 129.553 91.7232C129.553 91.7232 129.92 134.629 132.687 150.282H132.682Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M182.03 135.172L180.666 135.374C180.675 135.458 180.684 135.529 180.679 135.577C180.578 137.329 171.104 141.992 164.414 144.516C162.953 145.65 160.994 146.219 158.532 146.219C158.51 146.219 158.488 146.219 158.466 146.219C153.303 146.717 143.387 144.445 141.146 142.91L138.728 167.634C139.116 167.824 139.513 168.009 139.915 168.19C145.152 170.511 151.357 171.675 158.532 171.675C166.806 171.675 173.831 170.043 179.603 166.774C179.647 166.752 179.687 166.725 179.731 166.703C180.097 166.496 180.454 166.28 180.807 166.059C181.235 165.794 181.65 165.516 182.065 165.234C182.193 165.15 182.312 165.058 182.44 164.974C182.727 164.771 183.014 164.568 183.296 164.356C183.429 164.255 183.561 164.158 183.693 164.056C183.976 163.84 184.249 163.619 184.523 163.399C184.633 163.306 184.748 163.218 184.854 163.125C185.229 162.812 185.6 162.49 185.957 162.163C184.417 151.226 182.016 135.176 182.016 135.176L182.03 135.172Z" fill="#1C1C1C" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M129.178 106.463C129.178 106.463 140.1 133.151 140.232 134.095C140.369 135.039 139.156 141.105 140.907 142.72C142.659 144.339 154.388 147.035 159.379 146.091C164.366 145.147 180.547 137.867 180.679 135.577C180.816 133.288 164.635 88.5334 162.614 83.1421C160.593 77.7508 152.367 75.8625 146.838 76.4007C141.309 76.939 127.965 80.4464 125.538 83.8127C123.111 87.179 129.178 106.459 129.178 106.459V106.463Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M130.123 81.6597C130.123 81.6597 128.773 93.9248 129.585 96.4881C130.392 99.0514 134.072 106.093 134.072 106.093C134.072 106.093 140.232 98.372 141.446 97.5646C142.659 96.7572 153.85 103.9 153.85 103.9C153.85 103.9 154.256 96.2145 152.637 89.8835C151.017 83.548 148.189 76.6743 147.244 75.461C146.3 74.2477 146.3 78.6949 142.796 81.6597C139.293 84.6245 130.123 81.6597 130.123 81.6597Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M129.126 83.795C129.126 83.795 130.727 87.8672 134.218 92.8174C137.708 97.7675 142.514 101.403 142.514 101.403C142.514 101.403 146.3 91.6526 147.315 85.8333C148.334 80.0141 146.587 74.1904 146.587 74.1904C146.587 74.1904 145.859 82.9215 142.801 84.6686C139.743 86.4157 129.121 83.795 129.121 83.795H129.126Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M137.121 85.1583C133.269 84.8142 129.13 83.795 129.13 83.795C129.13 83.795 130.732 87.8672 134.222 92.8174C134.558 93.2938 134.911 93.7571 135.268 94.2071L141.287 87.2407L137.121 85.1583Z" fill="#263238" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M146.591 74.1904C146.591 74.1904 151.017 91.9041 152.637 105.246C154.256 118.592 158.166 158.087 158.166 158.087C158.166 158.087 170.301 154.584 176.637 150C182.974 145.416 184.995 142.314 184.995 142.314C184.995 142.314 174.612 96.8895 174.612 96.2145C174.612 95.5395 175.689 88.8025 175.689 88.8025C175.689 88.8025 194.024 80.1773 201.035 74.9183C208.047 69.6594 206.295 66.8313 202.924 65.4813C199.553 64.1313 189.037 65.6181 183.239 67.2328C177.441 68.852 174.475 69.9285 174.475 69.9285C174.475 69.9285 168.002 69.3902 162.071 70.7359C156.14 72.0815 146.587 74.186 146.587 74.186L146.591 74.1904Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M155.902 119.509C155.69 120.18 155.456 120.903 155.196 121.693L155.902 119.509Z" fill="white"/>
                        <path d="M155.902 119.509C155.69 120.18 155.456 120.903 155.196 121.693" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M157.98 89.5085L160.05 90.8276C160.05 90.8276 159.366 101.566 158.43 108.352C157.866 112.437 157.376 114.678 156.462 117.705" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M154.318 76.7184C155.677 79.2111 157.623 82.8862 157.623 83.4112C157.623 84.2186 155.602 87.9952 155.602 87.9952L156.864 88.7981" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M153.038 74.3933C153.038 74.3933 153.254 74.7771 153.59 75.386L153.038 74.3933Z" fill="white"/>
                        <path d="M153.038 74.3933C153.038 74.3933 153.254 74.7771 153.59 75.386" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M177.864 133.773C176.364 134.81 174.091 136.138 170.972 137.333C164.635 139.76 163.558 140.166 163.558 140.166L164.502 143.4C164.502 143.4 175.556 141.379 180.68 135.582" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M180.141 131.938C180.141 131.938 179.846 132.246 179.237 132.745L180.141 131.938Z" fill="white"/>
                        <path d="M180.141 131.938C180.141 131.938 179.846 132.246 179.237 132.745" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M178.111 81.6465L175.693 88.8026L181.355 80.3097" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M179.197 78.4258L178.641 80.0758" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M130.123 81.6597C130.123 81.6597 131.473 106.194 132.956 118.19C134.439 130.186 136.866 159.843 136.866 159.843C136.866 159.843 132.148 159.437 129.046 155.665C125.944 151.893 124.461 149.06 124.461 149.06V122.373C124.461 121.296 122.304 109.027 120.283 102.96C118.261 96.8939 115.296 89.8834 117.048 86.9187C118.8 83.9539 124.329 79.5067 126.35 78.964C128.371 78.4214 129.991 78.964 130.123 81.6597Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M129.364 112.472C130.127 114.855 130.864 116.968 131.469 118.327L129.364 112.472Z" fill="white"/>
                        <path d="M129.364 112.472C130.127 114.855 130.864 116.968 131.469 118.327" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M124.757 86.3319C124.528 88.0834 124.422 89.4379 124.594 89.6143C125.132 90.1526 127.29 92.0409 127.29 92.0409C127.29 92.0409 124.594 95.4116 125 97.1631C125.264 98.3146 127.043 104.994 128.848 110.818" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M126.213 77.3449C126.213 77.3449 125.503 81.2097 125 84.6024L126.213 77.3449Z" fill="white"/>
                        <path d="M126.213 77.3449C126.213 77.3449 125.503 81.2097 125 84.6024" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M127.789 139.663L125.406 138.542" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M125.406 134.902L132.012 137.598V141.644L128.989 140.223" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M120.049 65.4416L122.352 71.0844C122.352 71.0844 119.356 67.974 118.663 70.7403C117.97 73.5065 120.044 76.7316 121.43 76.7316C122.815 76.7316 124.426 76.8463 124.426 76.8463C124.426 76.8463 129.267 85.3701 132.263 86.9848C135.259 88.5996 139.293 89.9805 141.825 88.5996C144.358 87.2187 145.744 83.4156 146.551 80.5347C147.359 77.6537 146.781 69.0152 146.781 69.0152L142.633 51.9677C142.633 51.9677 145.514 50.9309 145.514 48.972C145.514 47.0131 138.834 46.4396 138.834 46.4396C138.834 46.4396 141.486 43.3292 138.141 42.8703C134.8 42.4115 123.967 48.8617 123.623 49.0911C123.279 49.3205 125.467 45.0586 122.701 46.5587C119.934 48.0543 116.708 55.431 117.057 57.156C117.401 58.8855 120.053 65.4504 120.053 65.4504L120.049 65.4416Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M138.829 46.4307C138.829 46.4307 141.481 43.3204 138.136 42.8615C134.796 42.4027 123.963 48.8529 123.619 49.0823C123.274 49.3117 125.463 45.0498 122.696 46.5499C119.929 48.0455 116.704 55.4222 117.052 57.1472C117.397 58.8767 120.049 65.4416 120.049 65.4416L122.352 71.0844C122.352 71.0844 125.004 73.5021 124.082 71.6623C123.16 69.8226 121.315 65.671 121.778 65.0975C122.237 64.5195 124.545 63.6018 124.66 62.3312C124.775 61.065 122.471 57.3766 123.164 56.4546C123.857 55.5325 133.649 57.2619 135.378 56.2251C137.108 55.1883 134.92 52.6559 134.92 52.6559L142.637 51.9633C142.637 51.9633 145.519 50.9265 145.519 48.9676C145.519 47.0087 138.838 46.4352 138.838 46.4352L138.829 46.4307Z" fill="#1C1C1C" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M140.33 74.8875C140.33 74.8875 139.293 76.8463 137.677 76.961L140.33 74.8875Z" fill="white"/>
                        <path d="M140.33 74.8875C140.33 74.8875 139.293 76.8463 137.677 76.961" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M133.185 69.5888C133.507 70.2814 133.371 71.027 132.881 71.2565C132.391 71.4859 131.733 71.1065 131.411 70.4138C131.089 69.7211 131.226 68.9755 131.716 68.7461C132.206 68.5167 132.863 68.8961 133.185 69.5888Z" fill="#263238"/>
                        <path d="M142.368 67.7711C142.487 68.5255 142.152 69.2049 141.618 69.2888C141.084 69.3726 140.555 68.8299 140.435 68.0755C140.316 67.3211 140.652 66.6416 141.186 66.5578C141.72 66.474 142.249 67.0166 142.368 67.7711Z" fill="#263238"/>
                        <path d="M137.677 81.3376C137.677 81.3376 139.637 81.3376 141.018 80.3008L137.677 81.3376Z" fill="white"/>
                        <path d="M137.677 81.3376C137.677 81.3376 139.637 81.3376 141.018 80.3008" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M127.422 68.0887C127.422 68.0887 129.037 65.7857 133.415 67.1666" stroke="#263238" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M139.063 65.9004C139.063 65.9004 139.871 63.2489 142.981 63.0194" stroke="#263238" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M145.514 63.5974C145.514 63.5974 146.322 61.7533 147.244 62.9048C148.166 64.0563 148.511 66.3593 147.937 67.8593C147.359 69.3549 147.015 70.6256 147.015 70.6256L146.785 69.0108L145.519 63.5974H145.514Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M166.713 54.6104C166.713 54.6104 154.04 52.3074 153.232 52.3074C152.425 52.3074 142.977 54.0368 141.596 54.6104C140.215 55.1883 129.73 58.1796 129.96 58.8723C130.189 59.5649 131.455 59.7944 131.455 59.7944C131.455 59.7944 131.685 60.8311 135.374 61.29C139.063 61.7488 147.703 60.5973 147.818 61.4047C147.933 62.2121 147.24 62.9003 147.24 62.9003L148.277 64.7445C148.277 64.7445 152.081 64.1665 153.347 63.2489C154.613 62.3268 158.188 59.4458 158.188 59.4458L165.906 60.0238L166.713 54.6104Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M138.6 56.2251C138.6 56.2251 133.415 58.4134 132.607 58.8767C131.8 59.3355 134.103 60.2576 135.489 60.0282C136.87 59.7988 142.169 57.7252 142.977 57.4958C143.785 57.2663 147.469 58.1884 150.121 58.5325C152.773 58.8767 154.613 58.0737 155.077 57.8399" fill="white"/>
                        <path d="M138.6 56.2251C138.6 56.2251 133.415 58.4134 132.607 58.8767C131.8 59.3355 134.103 60.2576 135.489 60.0282C136.87 59.7988 142.169 57.7252 142.977 57.4958C143.785 57.2663 147.469 58.1884 150.121 58.5325C152.773 58.8767 154.613 58.0737 155.077 57.8399" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M197.938 73.03C197.938 73.03 193.891 74.1065 189.042 73.03C184.188 71.9535 171.382 65.618 171.382 65.618L162.618 63.0547L164.639 52.8103C164.639 52.8103 186.751 55.506 192.951 57.7958C199.151 60.0855 208.184 65.3445 207.915 67.2328C207.646 69.1211 202.655 73.1624 202.655 73.1624" fill="white"/>
                        <path d="M197.938 73.03C197.938 73.03 193.891 74.1065 189.042 73.03C184.188 71.9535 171.382 65.618 171.382 65.618L162.618 63.0547L164.639 52.8103C164.639 52.8103 186.751 55.506 192.951 57.7958C199.151 60.0855 208.184 65.3445 207.915 67.2328C207.646 69.1211 202.655 73.1624 202.655 73.1624" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M121.995 117.074C121.995 117.074 130.105 126.37 136.954 123.242C143.798 120.114 147.178 100.093 147.178 100.093" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M111.347 110.063C111.347 110.063 117.767 118.089 126.306 117.33C134.84 116.571 137.713 106.684 137.629 101.782" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M115.057 105.037L112.346 104.127L108.077 116.832L110.787 117.743L115.057 105.037Z" fill="#7D7D7D" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M116.277 103.883L112.073 102.471L111.445 104.34L115.649 105.753L116.277 103.883Z" fill="#263238" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M121.038 107.044L118.328 106.134L114.059 118.839L116.769 119.75L121.038 107.044Z" fill="#7D7D7D" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M122.258 105.898L118.054 104.486L117.426 106.356L121.629 107.768L122.258 105.898Z" fill="#263238" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M120.036 110.035L111.252 107.084L107.987 116.8L116.771 119.75L120.036 110.035Z" fill="#263238" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M108.734 123.29L100.544 120.537L104.886 113.368L109.604 114.952L108.734 123.29Z" fill="#7D7D7D" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M108.742 123.292L100.547 120.54L97.6258 129.235L105.82 131.987L108.742 123.292Z" fill="#636363" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M113.65 106.748L106.615 104.385L103.693 113.08L110.729 115.443L113.65 106.748Z" fill="#636363" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M120.697 127.31L112.503 124.556L116.845 117.387L121.562 118.971L120.697 127.31Z" fill="#7D7D7D" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M120.699 127.31L112.505 124.558L109.583 133.252L117.778 136.005L120.699 127.31Z" fill="#636363" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M125.609 110.762L118.573 108.398L115.652 117.093L122.687 119.457L125.609 110.762Z" fill="#636363" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M103.832 103.807C103.832 103.807 102.879 105.378 103.157 105.828C103.439 106.278 106.188 107.791 106.581 107.906C106.974 108.016 108.041 107.456 107.984 106.728C107.927 106 105.795 104.425 105.12 104.032C104.445 103.64 104.11 103.582 103.827 103.807H103.832Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M102.318 106.913C102.318 106.913 101.859 108.696 102.256 109.044C102.653 109.393 105.729 110.05 106.135 110.046C106.541 110.041 107.402 109.194 107.141 108.51C106.876 107.827 104.379 106.94 103.62 106.755C102.861 106.574 102.521 106.618 102.318 106.913Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M101.475 110.002C101.475 110.002 101.016 111.784 101.414 112.133C101.811 112.481 104.886 113.139 105.292 113.134C105.703 113.13 106.559 112.283 106.298 111.599C106.034 110.915 103.536 110.028 102.777 109.843C102.018 109.662 101.678 109.706 101.475 110.002Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M101.868 112.975C101.868 112.975 101.409 114.758 101.806 115.106C102.203 115.455 105.279 116.112 105.685 116.108C106.096 116.103 106.952 115.256 106.691 114.572C106.426 113.889 103.929 113.002 103.17 112.816C102.411 112.636 102.071 112.68 101.868 112.975Z" fill="white" stroke="#263238" stroke-linecap="round" stroke-linejoin="round"/>
                    </g>
                    <defs>
                        <clipPath id="clip0_31_6397">
                            <rect width="321" height="206" fill="white"/>
                        </clipPath>
                    </defs>
                </svg>
                <div class="w-full text-center text-base text-main-black">{{ __('listener.groups.programs.noresult') }}</div>
            </div>
        @else
            <div class="relative">
                <div class="flex flex-col lg:table w-full">
                    <div class="hidden lg:table-header-group bg-gray-bg text-main-black font-normal text-base">
                        <div class="flex flex-col w-full lg:table-row">
                            <div class="w-full flex lg:table-cell text-left py-3 px-4 font-normal"><div class="flex lg:min-w-xs">{{ __('listener.table.head.title.program') }}</div></div>
                            <div class="w-full flex lg:table-cell text-left py-3 px-4 font-normal"><div class="w-48 ">{{ __('listener.table.head.period') }}</div></div>
                            <div class="w-full flex lg:table-cell text-left py-3 px-4 font-normal"><div class="w-40 ">{{ __('listener.table.head.trainer') }}</div></div>
                        </div>
                    </div>
                    <div class="flex flex-col w-full lg:table-row-group space-y-2">
                    @foreach($groups as $group)
                        <div class="flex flex-wrap items-center rounded lg:rounded-none w-full lg:table-row border lg:border-0 lg:border-b border-messages-hover bg-white hover:bg-table-hover cursor-pointer" onclick="window.location='{{ route('user.group.view', ['slug' => $group->slug]) }}'">
                            <div class="w-full flex lg:table-cell text-left py-3 px-4"><div class="flex font-bold lg:font-normal lg:min-w-xs">{{ $group->coursesItem->ru_title }}</div></div>
                            <div class="w-1/2 flex lg:table-cell text-xs text-user-gray text-left py-3 px-4"><div class="flex flex-col w-48"><span>с {{ $group->start_time }}</span><span>по {{ $group->end_time }}</span></div></div>
                            <div class="w-1/2 flex lg:table-cell text-left py-3 px-4 text-sm"><div class="w-40 ">{{ $group->trainerItem->fio }}</div></div>
                        </div>
                    @endforeach
                    </div>
                </div>
            </div>
        @endif
    </div>
</div>
